All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.deployment
Class MetadataSourceProperties

    com.sas.services.deployment.MetadataSourceProperties

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public final class MetadataSourceProperties

Configuration properties used to specify a metadata source.

Properties which may be used to configure a metadata source are described in the `MetadataSourceFactory` class.

Since:
  9.2
See Also:
  `MetadataSourceFactory`

Constructor Summary
`MetadataSourceProperties()` Constructs a default instance.
`MetadataSourceProperties(java.util.Properties properties)` Constructs properties which can be used to configure a metadata source for foundation services.

Method Summary
`void` | `destroy()` Clears all properties.
`java.util.Properties` | `getProperties()` Gets a copy of the properties used to configure a metadata source.
`void` | `setProperties(java.util.Properties properties)` Sets properties used to configure a metadata source.
`void` | `setPropertiesURL(java.net.URL propertiesURL)` Initialize the configuration using properties read from the configuration at the specified URL.

Constructor Detail

### MetadataSourceProperties

    public MetadataSourceProperties()

  Constructs a default instance.

  This object must be initialized using `setProperties(Properties)`.

  See Also:
    `setProperties(Properties)`

### MetadataSourceProperties

    public MetadataSourceProperties(java.util.Properties properties)
                             throws ServiceException

  Constructs properties which can be used to configure a metadata source for foundation services.

  Parameters:
    `properties` - Map containing properties used to configure a metadata source
  Throws:
    `ServiceException` - if an invalid map is specified.

Method Detail

### setPropertiesURL

    public void setPropertiesURL(java.net.URL propertiesURL)
                          throws ServiceException

  Initialize the configuration using properties read from the configuration at the specified URL.

  Parameters:
    `propertiesURL` - URL from which properties will be loaded.
  Throws:
    `ServiceException` - if unable to load properties from the specified URL.

### setProperties

    public void setProperties(java.util.Properties properties)
                       throws ServiceException

  Sets properties used to configure a metadata source.

  Parameters:
    `properties` - Properties used to configure a metadata source
  Throws:
    `ServiceException` - if an invalid map is specified.
  See Also:
    `getProperties()`

### getProperties

    public java.util.Properties getProperties()

  Gets a copy of the properties used to configure a metadata source.

  Returns:
    Properties used to configure a metadata source.
  See Also:
    `setProperties(Properties)`

### destroy

    public void destroy()

  Clears all properties.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.